#ifndef APPCATEGORYMANAGER_H
#define APPCATEGORYMANAGER_H

#include <QObject>
#include "types.h"

class AppCategoryManager : public QObject
{
    Q_OBJECT
public:
    explicit AppCategoryManager(QObject *parent = nullptr);

    QList<int> matchingAppCategories(const QString &category) const;

    UKUI::CategoryStringMap softwareAppCategory() const
    { return m_softwareAppCategory; }

    static QString categoryToString(int value);
    static QStringList categoryStringList();
    static QList<int> categoryIntList();

Q_SIGNALS:
    void softwareAppCategoryUpdated();

private Q_SLOTS:
    void updateSoftwareStoreAppCategory(const QString &categray);

private:
    UKUI::CategoryStringMap m_softwareAppCategory;

};

#endif // APPCATEGORYMANAGER_H
