#ifndef DESKTOPFILEMANAGER_H
#define DESKTOPFILEMANAGER_H

#include <QObject>

class KFileItemList;
class DesktopFileManager : public QObject
{
    Q_OBJECT
public:
    explicit DesktopFileManager(QObject *parent = nullptr);

    const QStringList localDesktopFiles() const;

signals:
    void desktopFileAdded(const QString &desktopFile);
    void desktopFileDeleted(const QString &desktopFile);

private:
    void loadLocalDesktopFiles();
    bool appIconCanDisplay(const QString &desktopFile) const;
    void watchDesktopfilePath(const QUrl &url);

private Q_SLOTS:
    void onDesktopfilesAdded(const QUrl &directoryUrl, const KFileItemList &desktopFiles);
    void onDesktopfilesDeleted(const KFileItemList &desktopFiles);

private:
    QStringList m_localDekstopFiles;
};

#endif // DESKTOPFILEMANAGER_H
