#ifndef DESKTOPITEMHELPER_H
#define DESKTOPITEMHELPER_H

#include "types.h"

class DesktopItemHelper
{
public:
    DesktopItemHelper();

    static UKUI::CategoryIntList matchingAppCategories(QString category);
    static UKUI::ItemId calculateIdForNewItem(const QList<UKUI::ItemId> &oldIds);
    static UKUI::BaseItem *dissectInstalledDesktopFileToItem(const QString &desktopFile,
                                                  const UKUI::CategoryStringMap &categoryMap,
                                                  const QList<UKUI::ItemId> &existedIds);
    static UKUI::BaseItem *dissectInstallingDesktopFileToItem(const QString &desktopFile,
                                                  const UKUI::CategoryStringMap &categoryMap,
                                                  const QList<UKUI::ItemId> &existedIds);
    static UKUI::ItemId appIdByDesktopFromAllItems(const QString &desktopFile, const UKUI::ItemMap &allItems);
    static QList<UKUI::ItemId> appIdsByDesktopFromAllItems(const QStringList &desktopFiles, const UKUI::ItemMap &allItems);

    static bool itemExistsInSet(UKUI::ItemId itemId, const UKUI::ItemIdInSetMap &itemIdsInSet);
    // exist, setId, pageIndex
    static std::tuple<bool, UKUI::ItemId, int> itemPositionInSet(int itemId,
                                                                 const UKUI::ItemIdInSetMap &itemIdsInSet);

};

#endif // DESKTOPITEMHELPER_H
