#ifndef ITEMPOSITIONCALCULATOR_H
#define ITEMPOSITIONCALCULATOR_H

#include <QObject>
#include <QMap>

class ItemPositionCalculator
{
public:
    using ItemPostion = std::tuple<int, int, int>;
    using ItemPostionInOnePage = std::tuple<int, int>;
    using ItemIdsInPageGrid = QList<QList<int>>;
    using ItemIdsInAllPageGrid = QMap<int, QList<QList<int>>>;

    explicit ItemPositionCalculator();

    ItemPostion calculationPosition(int desktopPageRow, int desktopPageColumn,
                                    ItemIdsInAllPageGrid &itemIdsInAllPageGrid,
                                    int rowSpan, int columnSpan);

private:
    ItemIdsInPageGrid createGridItemIds(int rowCount, int colCount);
    virtual ItemPostionInOnePage doCalculate(const ItemIdsInPageGrid &itemIdsInPageGrid,
                                             int desktopPageRow, int dekstopPageColumn,
                                             int rowSpan = 1, int colSpan = 1) = 0;
};

class AppWidgetPositionCalculator : public ItemPositionCalculator
{
public:
    explicit AppWidgetPositionCalculator();

private:
    ItemPostionInOnePage doCalculate(const ItemIdsInPageGrid &itemIdsInPageGrid,
                                     int desktopPageRow, int dekstopPageColumn,
                                     int rowSpan = 1, int columnSpan = 1) override;
};

class AppItemPositionCalculator : public ItemPositionCalculator
{
public:
    explicit AppItemPositionCalculator() {}

private:
    ItemPostionInOnePage doCalculate(const ItemIdsInPageGrid &itemIdsInPageGrid,
                                     int desktopPageRow, int dekstopPageColumn,
                                     int rowSpan = 1, int columnSpan = 1) override;
};

#endif // ITEMPOSITIONCALCULATOR_H
