#ifndef TASKBARAPPMANAGER_H
#define TASKBARAPPMANAGER_H

#include <QObject>
#include <QList>
#include <QFileSystemWatcher>
#include <QDebug>

class Settings;
class TaskbarAppManager : public QObject
{
    Q_OBJECT
public:
    enum TaskbarAction {
        Delete,
        Add,
        Move
    };
    Q_ENUM(TaskbarAction)

    explicit TaskbarAppManager(QObject *parent = nullptr);
    QStringList appDesktopfiles() const;
    void checkAppDesktopfiles(const QStringList &preDesktopfiles);
    void updatePanelConf(const QList<QString> &taskbarData);

signals:
    void taskbarAppChanged(const QStringList taskbarDesktopName, TaskbarAppManager::TaskbarAction action);

public slots:
    void taskBarDataChanged();

private:
    void loadSettingsFile();
    QStringList readTaskbarPanelConf();

private:
    QStringList m_appsDesktopFiles;
    QFileSystemWatcher *m_fileWatcher; //监听panel.conf变化
    QString m_settingsFile;    
};

#endif // TASKBARAPPMANAGER_H
