#ifndef UNINSTALLER_H
#define UNINSTALLER_H

#include <QObject>
#include <QDebug>
#include <QSettings>
#include <QDBusConnection>
#include <QFile>
#include <dlfcn.h>
#include <QDBusInterface>
#include <QDBusPendingCall>
#include <QDBusPendingReply>

class Uninstaller : public QObject
{
    Q_OBJECT
public:
    explicit Uninstaller(QObject *parent = nullptr);
    void uninstallApp(const QString &desktopFile);

private:
    void doUninstallApp(const QString &desktopFile);
    bool uninstallAndroidApp(const QString &desktopCmd);
    QString getPkgNameByDesktop(const QString &desktopFile);
    void uninstallOrdinaryApp(const QString &desktopFile);
    void uninstallNextApp();

private:
    QString libPath = "";
    QList<QString> m_uninstallAppList;
    QString m_uninstallAppDesktopname;

private slots:
    void certificationResults(QDBusPendingCallWatcher *call);
    void ordinaryAppUninstallComplete(bool uninstallResults, QString uninstallMessage);

signals:
    void appUninstalled(const QString &desktopFile);
    void appUninstallFailed(const QString &desktopFile);

};

#endif // UNINSTALLER_H
