#ifndef LAUNCHERITEMHELPER_H
#define LAUNCHERITEMHELPER_H

#include <QString>
#include <tuple>
#include "modeldefs.h"

class LauncherItem;
namespace UKUI {
class BaseItem;
class IconItem;
class GroupItem;
class ContainerItem;
class Widget;
}
class LauncherItemHelper 
{
public:
    static LauncherItem *createAppIconLauncherItem(const UKUI::IconItem *iconItem, int page);

    static std::tuple<LauncherItem *, model::MultiPageModel *> 
                createAppGroupLauncherItem(const UKUI::GroupItem *groupItem, 
                                           const QList<QList<UKUI::IconItem *>> &childrenItem, 
                                           int page);

    static std::tuple<LauncherItem *, model::MultiPageModel *> 
                createAppContainerLauncherItem(const UKUI::ContainerItem *containerItem,
                                               const QList<QList<UKUI::IconItem *>> &childrenItem, 
                                               int page);
    
    static LauncherItem *createAddIconItem(int page, int state = LauncherItem::Normal);
    static LauncherItem *createWidgetItem(const UKUI::Widget *widgetItem, int page);

private:
    static LauncherItem *createBaseLauncherItem(const UKUI::BaseItem *baseItem, int page);
    static UKUI::GroupItem *containerItem2GroupItem(const UKUI::ContainerItem *containerItem);
    static bool existsInWhiteList(const QString &desktopFileName);
};

#endif
