#include "configmanager.h"
#include <QSettings>
#include <QStandardPaths>
#include <QDebug>

ConfigManager::ConfigManager(QObject *parent)
    : QObject{parent}
{
    QStringList configPaths = QStandardPaths::standardLocations(QStandardPaths::ConfigLocation);
    QString configFile = configPaths.isEmpty() ?
                "/tmp/ukui-tablet-desktop.conf" :
                configPaths.first() + "/ukui-tablet-desktop.conf";
    m_settings = new QSettings(configFile, QSettings::IniFormat);
}

int ConfigManager::untitledGroupCount() const
{
    return m_settings->value("UntitledGroupCount").toInt();
}

void ConfigManager::setUntitledGroupCount(int count)
{
    m_settings->setValue("UntitledGroupCount", count);
}
