import QtQuick 2.0
import QtQml 2.12
import QtQuick.Layouts 1.12
import QtQuick.Controls 2.5
import QtQml.Models 2.2
import QtQuick.Window 2.3
import MyGeneralSetting 1.0

Rectangle {
    property int imageWidth
    property int imageHeight
    property string imagePath

    property string execName: ""
    signal clickEvent(string exec)

    width: 64 * Style.widthScaleFactor
    height: 64 * Style.widthScaleFactor
    color: "transparent"

    Rectangle {
        id: buttonBackground
        anchors.fill: parent
        color: "#262626"
        opacity: 0.2
        radius: parent.width
    }

    MouseArea {
        id: dragArea
        anchors.fill: parent
        onClicked: {
            clickEvent(execName)
        }
        onPressed: {
            buttonBackground.opacity = 0.4
        }
        onReleased: {
            buttonBackground.opacity = 0.2
        }
    }
    Image {
        id: image
        width: imageWidth
        height: imageHeight
        sourceSize: Qt.size(imageWidth, imageHeight)
        anchors.centerIn: parent
        smooth: true
        source: imagePath
    }

    CGeneralSetting {
        id: cGeneralSetting
    }

    Component.onCompleted: {
        clickEvent.connect(cGeneralSetting.openGeneralSetting)
    }
}


