import QtQuick 2.0
import QtQuick.Controls 2.12
import QtQml 2.12

Item {
    property var pageContainer;
    signal indexchange(int index);
    function changeIndex(index) {
        if(index > pageContainer.currentIndex) {
            pageContainer.currentIndex += 1;
        }
        else if(index < pageContainer.currentIndex) {
            pageContainer.currentIndex -= 1;
        }
        else {
            return;
        }
    }

    PageIndicator {
        id: indicator;
        anchors.centerIn: parent
        count: pageContainer.count;
        currentIndex: pageContainer.currentIndex;
        interactive: true;
        onCurrentIndexChanged: {
            indexchange(indicator.currentIndex);
        }
    }
    Component.onCompleted: {
        indexchange.connect(changeIndex);
    }
}
